
function saveToExcel(tableid){
    var curTbl = document.getElementById(tableid);  
	try
	{    
		var oXL= new ActiveXObject("Excel.Application");
		var oWB= oXL.Workbooks.Add();
		var oSheet = oWB.ActiveSheet;
		var sel= document.body.createTextRange();
	   sel.moveToElementText(curTbl);
	   sel.select();
	   sel.execCommand("Copy");
	   oSheet.Paste();
	   oXL.Visible = true;
	}
	catch(e)
	{
		var str = "无法启动Excel!\n\n如果您确信您的电脑中已经安装了Excel，";
		str += "那么请调整IE的安全级别。\n\n";
		str += "具体操作：\n\n";
		str += "工具 → Internet选项 → 安全 → 自定义级别 → 对未标记为安全的ActiveX进行初始化和脚本运行 → 启用";
		alert(str);
	}
}